| Home | Libraries | People | FAQ | More

## Function template regex_finder

boost::algorithm::regex_finder — "Regex" finder

## Synopsis

    template<typename CharT, typename RegexTraitsT, typename RegexAllocatorT>
      unspecified regex_finder(const reg_expression< CharT, RegexTraitsT, RegexAllocatorT > & Rx,
                               match_flag_type MatchFlags = match_default);

## Description

Construct the `regex_finder` . Finder uses the regex engine to search for a match. Result is given in `regex_search_result` . This is an extension of the iterator_range. In addition it containes match results from the `regex_search` algorithm.

Parameters

MatchFlags

  Regex search options

Rx

  A regular expression

Returns: An instance of the `regex_finder` object

| Copyright © 2002-2004 Pavol Droba